diff -Nurd -x'*~' gnome-control-center-2.28.1.orig/capplets/appearance/Makefile.in gnome-control-center-2.28.1/capplets/appearance/Makefile.in
--- gnome-control-center-2.28.1.orig/capplets/appearance/Makefile.in	2009-10-19 17:22:14.000000000 -0400
+++ gnome-control-center-2.28.1/capplets/appearance/Makefile.in	2010-03-03 02:40:58.000000000 -0500
@@ -363,8 +363,8 @@
 gnome_appearance_properties_LDADD = \
 	$(top_builddir)/libwindow-settings/libgnome-window-settings.la \
 	$(top_builddir)/capplets/common/libcommon.la \
-	$(GNOMECC_CAPPLETS_LIBS) \
 	$(FONT_CAPPLET_LIBS) \
+	$(GNOMECC_CAPPLETS_LIBS) \
 	$(METACITY_LIBS)
 
 gnome_appearance_properties_LDFLAGS = -export-dynamic
@@ -372,9 +372,9 @@
 pixmapdir = $(pkgdatadir)/pixmaps
 wallpaperdir = $(datadir)/gnome-background-properties
 INCLUDES = \
+	$(FONT_CAPPLET_CFLAGS) \
 	$(METACITY_CFLAGS) \
 	$(GNOMECC_CAPPLETS_CFLAGS) \
-	$(FONT_CAPPLET_CFLAGS) \
 	-DGNOMELOCALEDIR="\"$(datadir)/locale\"" \
 	-DGNOMECC_DATA_DIR="\"$(pkgdatadir)\"" \
 	-DGNOMECC_GTKBUILDER_DIR="\"$(gtkbuilderdir)\"" \
diff -Nurd -x'*~' gnome-control-center-2.28.1.orig/font-viewer/Makefile.in gnome-control-center-2.28.1/font-viewer/Makefile.in
--- gnome-control-center-2.28.1.orig/font-viewer/Makefile.in	2009-10-19 17:22:16.000000000 -0400
+++ gnome-control-center-2.28.1/font-viewer/Makefile.in	2010-03-03 02:41:40.000000000 -0500
@@ -312,9 +312,9 @@
 INCLUDES = $(FONT_VIEWER_CFLAGS) $(GNOMECC_CAPPLETS_CFLAGS) -DDIRECTORY_DIR=\"$(directorydir)\" \
   -DGNOMELOCALEDIR=\"$(datadir)/locale\"
 
-gnome_thumbnail_font_LDADD = $(GNOMECC_CAPPLETS_LIBS) $(FONT_VIEWER_LIBS)
+gnome_thumbnail_font_LDADD = $(FONT_VIEWER_LIBS) $(GNOMECC_CAPPLETS_LIBS)
 gnome_thumbnail_font_SOURCES = ftstream-vfs.c font-thumbnailer.c totem-resources.c totem-resources.h
-gnome_font_viewer_LDADD = $(GNOMECC_CAPPLETS_LIBS) $(FONT_VIEWER_LIBS)
+gnome_font_viewer_LDADD = $(FONT_VIEWER_LIBS) $(GNOMECC_CAPPLETS_LIBS)
 gnome_font_viewer_SOURCES = ftstream-vfs.c font-view.c
 schemasdir = $(GCONF_SCHEMA_FILE_DIR)
 schemas_DATA = fontilus.schemas
@@ -707,7 +707,7 @@
 @GCONF_SCHEMAS_INSTALL_FALSE@install-gconf-schemas:
 
 install-desktop-database: install-desktopDATA
-	update-desktop-database $(DESTDIR)$(desktopdir)
+#	update-desktop-database $(DESTDIR)$(desktopdir)
 
 uninstall-local:
 	rm -f $(DESTDIR)$(desktopdir)/mimeinfo.cache
diff -Nurd -x'*~' gnome-control-center-2.28.1.orig/libwindow-settings/Makefile.in gnome-control-center-2.28.1/libwindow-settings/Makefile.in
--- gnome-control-center-2.28.1.orig/libwindow-settings/Makefile.in	2009-10-19 17:22:17.000000000 -0400
+++ gnome-control-center-2.28.1/libwindow-settings/Makefile.in	2010-03-03 02:45:44.000000000 -0500
@@ -335,7 +335,7 @@
 	-no-undefined			\
         -version-info 1:0:0
 
-libgnome_window_settings_la_LIBADD = $(GNOMECC_LIBS)
+libgnome_window_settings_la_LIBADD = $(GNOMECC_LIBS) $(INTLLIBS)
 libgnome_window_settings_la_SOURCES = \
 	gnome-window-manager.c	\
 	gnome-window-manager.h	\
@@ -353,7 +353,7 @@
 	gnome-window-settings-2.0.pc.in		\
 	ChangeLog
 
-wms_flags = -export_dynamic -avoid-version -module
+wms_flags = -export_dynamic -avoid-version -module -no-undefined
 wmsdir = $(WM_MODULE_DIR)
 wms_LTLIBRARIES = \
 	libmetacity.la
diff -Nurd -x'*~' gnome-control-center-2.28.1.orig/shell/Makefile.in gnome-control-center-2.28.1/shell/Makefile.in
--- gnome-control-center-2.28.1.orig/shell/Makefile.in	2009-10-19 17:22:17.000000000 -0400
+++ gnome-control-center-2.28.1/shell/Makefile.in	2010-03-03 02:40:58.000000000 -0500
@@ -312,7 +312,7 @@
 
 gnome_control_center_LDADD = \
 	$(GNOMECC_SHELL_LIBS)						\
-	$(top_builddir)/libslab/libslab.la
+	$(top_builddir)/libslab/libslab.la $(INTLLIBS)
 
 AM_CPPFLAGS = \
 	-DGNOMELOCALEDIR="\"$(datadir)/locale\""
diff -Nurd -x'*~' gnome-control-center-2.28.1.orig/typing-break/Makefile.in gnome-control-center-2.28.1/typing-break/Makefile.in
--- gnome-control-center-2.28.1.orig/typing-break/Makefile.in	2009-10-19 17:22:17.000000000 -0400
+++ gnome-control-center-2.28.1/typing-break/Makefile.in	2010-03-03 02:40:58.000000000 -0500
@@ -332,7 +332,7 @@
 
 gnome_typing_monitor_CFLAGS = @TYPING_CFLAGS@ $(AM_CFLAGS) \
 	$(am__append_1)
-gnome_typing_monitor_LDADD = @TYPING_LIBS@ @SCREENSAVER_LIBS@ \
+gnome_typing_monitor_LDADD = @TYPING_LIBS@ @SCREENSAVER_LIBS@ $(INTLLIBS) \
 	$(am__append_2)
 imagedir = $(pkgdatadir)/pixmaps
 dist_image_DATA = bar.png bar-red.png bar-green.png bar-disabled.png ocean-stripes.png
